Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [CDO] CDO 4.1 & 4.2 compatibility with older Eclipse versions
[CDO] CDO 4.1 & 4.2 compatibility with older Eclipse versions [message #987690] Tue, 27 November 2012 10:49 Go to next message
Alex Lagarde is currently offline Alex Lagarde
Messages: 175
Registered: May 2010
Senior Member

Hi everyone !

I did not manage to find the lists of Eclipse releases compatible with
CDO in the project plan
http://www.eclipse.org/projects/project-plan.php?projectid=modeling.emf.cdo#target_environments
..

Does anyone know if CDO 4.1 / CDO 4.2 are compatible with Eclipse 3.6
(Helios) and later Eclipse releases?

Best regards,
Alex
Re: [CDO] CDO 4.1 & 4.2 compatibility with older Eclipse versions [message #987769 is a reply to message #987690] Tue, 27 November 2012 23:05 Go to previous message
Eike Stepper is currently offline Eike Stepper
Messages: 5481
Registered: July 2009
Senior Member
<html>
<head>
<meta content="text/html; charset=ISO-8859-1"
http-equiv="Content-Type">
</head>
<body text="#000000" bgcolor="#FFFFFF">
Am 27.11.2012 16:49, schrieb Alex Lagarde:<br>
<blockquote cite="mid:k92nel$tc7$1@xxxxxxxxe.org" type="cite">Hi
everyone !
<br>
<br>
I did not manage to find the lists of Eclipse releases compatible
with CDO in the project plan
<a class="moz-txt-link-freetext" href="http://www.eclipse.org/projects/project-plan.php?projectid=modeling.emf.cdo#target_environments">http://www.eclipse.org/projects/project-plan.php?projectid=modeling.emf.cdo#target_environments</a>
.
<br>
<br>
Does anyone know if CDO 4.1 / CDO 4.2 are compatible with Eclipse
3.6 (Helios) and later Eclipse releases?
<br>
</blockquote>
Officially each CDO stream is compatible with exactly one set of
dependencies because we only test that CDO stream with those
dependencies. All the infos are available on the downloads page (per
stream): <a class="moz-txt-link-freetext" href="http://www.eclipse.org/cdo/downloads">http://www.eclipse.org/cdo/downloads</a><br>
<br>
<img src="http://www.eclipse.org/forums/index.php?t=getfile&amp;id=12526" alt=""><br>
<br>
In addition we publish the exact list of p2 repos that we've used
for a particular build (bookmarks.xml) and the even Buckminster's
bill of materials (bom.xml) per build:<br>
<br>
<img src="http://www.eclipse.org/forums/index.php?t=getfile&amp;id=12527" alt=""><br>
<br>
That said, we "try" to be compatible with older releases of these
dependencies but there are no official guarantees, there's no
official (free) support for those combinations. The problem is that
we lack resources to test all the possible combinations in order to
give guarantees and support. I could imagine to setup
Hudson/Buckminster builds/tests for additional Platform+EMF+CDO
combinations but this extra effort would have to be funded in some
way.<br>
<br>
Cheers<br>
/Eike<br>
<br>
----<br>
<a class="moz-txt-link-freetext" href="http://www.esc-net.de">http://www.esc-net.de</a><br>
<a class="moz-txt-link-freetext" href="http://thegordian.blogspot.com">http://thegordian.blogspot.com</a><br>
<a class="moz-txt-link-freetext" href="http://twitter.com/eikestepper">http://twitter.com/eikestepper</a><br>
<br>
<br>
</body>
</html>
  • Attachment: cbfiacga.png
    (Size: 8.98KB, Downloaded 55 times)
  • Attachment: dgecgbcj.png
    (Size: 2.59KB, Downloaded 58 times)
Previous Topic:Unable to load model which was created using the same emf
Next Topic:Ecore definition and model instances in the same workbench
Goto Forum:
  


Current Time: Fri Jul 25 03:05:07 EDT 2014

Powered by FUDForum. Page generated in 0.01693 seconds